import pygame, sys
import pygame
from pygame.locals import *
import time

def music(music_file):
    clock = pygame.time.Clock()
    try:
        pygame.mixer.music.load(music_file)
    except pygame.error:
        useless = 0
        return
    pygame.mixer.music.play()

def main():
    pygame.init()
    #Colours
    BLACK = (0, 0, 0)
    WHITE = (255, 255, 255)
    RED = (255, 0, 0)
    ORANGE = (255, 200, 0)
    GREEN = (0, 255, 0)
    BLUE = (0, 0, 255)

    #Setup
    timer = 0        
    Surface = pygame.display.set_mode((600, 450), 0, 32)
    pygame.display.set_caption("jetpak guy")
    menu = pygame.image.load("data/images/menu.png")
    tutorial = pygame.image.load("data/images/tutorial.png")
    jetpak_guy = pygame.image.load("data/images/jetpak guy.png")
    jetpak_small = pygame.image.load("data/images/jetpak guy small.png")
    jet_right = pygame.image.load("data/images/jetpak guy right.png")
    jet_fly = pygame.image.load("data/images/jetpak guy fly.png")
    jrf = pygame.image.load("data/images/jetpak guy right fly.png")
    portal = pygame.image.load("data/images/portal.png")
    level_1 = pygame.image.load("data/images/level 1.png")
    instruct = pygame.image.load("data/images/instruct.png")
    options = pygame.image.load("data/images/options.png")
    hello = pygame.image.load("data/images/hello.png")
    level_2 = pygame.image.load("data/images/level 2.png")
    level_3 = pygame.image.load("data/images/level 3.png")
    level_4 = pygame.image.load("data/images/level 4.png")
    level_5 = pygame.image.load("data/images/level 5.png")
    level_6 = pygame.image.load("data/images/cave.png")
    princess = pygame.image.load("data/images/princess.png")
    win = pygame.image.load("data/images/winner.png")
    Surface.blit(menu, (0, 0))
    pygame.display.update()

    class keypress:
        def LEFTSTATE(self):
            self.leftstate = 0
            if (event.type == KEYDOWN):
                if (event.key == K_LEFT):
                    self.leftstate = 1
            if (event.type == KEYUP):
                if (event.key == K_LEFT):
                    self.leftstate = 0
        def RIGHTSTATE(self):
            self.rightstate = 0
            if (event.type == KEYDOWN):
                if (event.key == K_RIGHT):
                    self.rightstate = 1
            if (event.type == KEYUP):
                if (event.key == K_RIGHT):
                    self.rightstate = 0
        def UPSTATE(self):
            self.upstate = 0
            if (event.type == KEYDOWN):
                if (event.key == K_UP):
                    self.upstate = 1
            if (event.type == KEYUP):
                if (event.key == K_UP):
                    self.upstate = 0
    menuloop = 1
    menuselect = 1
    #Menu
    Surface.blit(jetpak_small, (200, 210))
    music('data/music/menu song.mid')
    while menuloop == 1:
        if not pygame.mixer.music.get_busy():
            music('data/music/menu song.mid')
        pygame.display.update()
        for event in pygame.event.get():
            if menuselect == 1:
                Surface.blit(menu, (0, 0))
                Surface.blit(jetpak_small, (200, 170))
            if menuselect == 2:
                Surface.blit(menu, (0, 0))
                Surface.blit(jetpak_small, (200, 245))
            if menuselect == 3:
                Surface.blit(menu, (0, 0))
                Surface.blit(jetpak_small, (350, 170))
            if menuselect == 4:
                Surface.blit(menu, (0, 0))
                Surface.blit(jetpak_small, (280, 320))
            if event.type == pygame.QUIT: 
                sys.exit()
            if (event.type == KEYDOWN):
                if (event.key == K_RETURN):
                    if menuselect == 2:
                        sys.exit()
                    elif menuselect == 1:
                        menuloop = 0
                    elif menuselect == 3:
                        timer = raw_input("How long do you need to wait. 0.0 for slow computers, 0.1 for fast.")
                        timer = float(timer)
                    elif menuselect == 4:
                        Surface.blit(instruct, (0, 0))
                        pygame.display.update()
                        time.sleep(3.5)
                elif (event.key == K_DOWN):
                    if menuselect != 4:
                        menuselect += 1
                    elif menuselect == 4:
                        menuselect = 1
                elif (event.key == K_UP):
                    if menuselect != 1:
                        menuselect -= 1
                    elif menuselect == 1:
                        menuselect = 4
    #Levels
    level = 0
    levelloop = 1
    tutpos = -400
    timer = timer + 0.02
    leftgoing = 1
    left = keypress()
    right = keypress()
    up = keypress()
    left.LEFTSTATE()
    right.RIGHTSTATE()
    up.UPSTATE()
    myposx = 400
    myposy = 285
    uselessvariable = 1
    Surface.blit(tutorial, (tutpos, 0))
    Surface.blit(jetpak_guy, (myposx, myposy))
    while levelloop == 1:
        time.sleep(timer)
        Surface.blit(portal, (tutpos + 80, 30))
        if level == 1:
            if not pygame.mixer.music.get_busy():
                music('data/music/menu song.mid')
            pygame.display.set_caption("level 1")
            Surface.blit(portal, (tutpos + 80, 30))
            if myposx > 224 and myposx < 228:
                if tutpos < -1510 and tutpos > -1520:
                    if myposy > 119:
                        tutpos -= 6
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1330:
                    if myposy > 119:
                        tutpos += 6
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1520:
                    if myposy > 119:
                        myposy -= 2
            if gun1 == 1:
                circle = 1
                gun1 = 0
            if circle == 1:
                Surface.blit(level_1, (tutpos, 0))
                if leftgoing == 0 and up.upstate != 1:
                    Surface.blit(jet_right, (myposx, myposy))
                if leftgoing == 1 and up.upstate != 1:
                    Surface.blit(jetpak_guy, (myposx, myposy))
                if leftgoing == 1 and up.upstate == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                if leftgoing == 0 and up.upstate == 1:
                    Surface.blit(jrf, (myposx, myposy))
                pygame.draw.circle(Surface, RED, (tutpos + circlepos, 168), 20, 0)
                circlepos += 3
                if (event.type == KEYUP):
                    if (event.key == K_LEFT):
                        time.sleep(0.03)
                if (event.type == KEYUP):
                    if (event.key == K_RIGHT):
                        time.sleep(0.03)
                if (event.type == KEYDOWN):
                    if (event.key == K_LEFT):
                        time.sleep(0.005)
                if (event.type == KEYDOWN):
                    if (event.key == K_RIGHT):
                        time.sleep(0.005)
                if circlepos > 3000:
                    gun = 1
                    circlepos = 1450
            if (myposx + -tutpos) > circlepos -60 and (myposx + -tutpos) < circlepos -10 and myposy > 20 and myposy < 180:
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun1 = 1
                circlepos = 1450
                circle = 0
        if level == 2:
            if not pygame.mixer.music.get_busy():
                music('data/music/menu song.mid')
            pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 300), 20, 0)
            pygame.draw.circle(Surface, RED, (tutpos + circlepos, 300), 20, 0)
            pygame.display.set_caption("level 2")
            Surface.blit(portal, (tutpos + 80, 30))
            #small box
            if myposx > 224 and myposx < 228:
                if tutpos < -980 and tutpos > -990:
                    if myposy > 90:
                        tutpos -= 6
            if myposx > 224 and myposx < 228:
                if tutpos < -780 and tutpos > -790:
                    if myposy > 90:
                        tutpos += 6
            if myposx > 224 and myposx < 228:
                if tutpos < -780 and tutpos > -990:
                    if myposy > 90:
                        myposy -= 2




            #big box       
            if myposx > 224 and myposx < 228:
                if tutpos < -1510 and tutpos > -1520:
                    if myposy > 3:
                        tutpos -= 6
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1330:
                    if myposy > 3:
                        tutpos += 6
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1520:
                    if myposy > 3:
                        myposy -= 2
            if gun1 == 1:
                circle = 1
                gun1 = 0
            if circle == 1:
                Surface.blit(level_2, (tutpos, 0))
                if leftgoing == 0 and up.upstate != 1:
                    Surface.blit(jet_right, (myposx, myposy))
                if leftgoing == 1 and up.upstate != 1:
                    Surface.blit(jetpak_guy, (myposx, myposy))
                if leftgoing == 1 and up.upstate == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                if leftgoing == 0 and up.upstate == 1:
                    Surface.blit(jrf, (myposx, myposy))
                pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 300), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circlepos, 300), 20, 0)
                circlepos += 3
                if circlepos > 3000:
                    gun = 1
                    circlepos = 1450
            if (myposx + -tutpos) > circlepos -60 and (myposx + -tutpos) < circlepos -10 and myposy > (20 + (300 - 168)) and myposy < (180 + (300 - 168)):
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun1 = 1
                circlepos = 1450
                circle = 0
                gun2 = 1
                circle2pos = 1024
                circle2 = 0
            if gun2 == 1:
                circle2 = 1
                gun2 = 0
            if circle2 == 1:
                Surface.blit(level_2, (tutpos, 0))
                if leftgoing == 0 and up.upstate != 1:
                    Surface.blit(jet_right, (myposx, myposy))
                if leftgoing == 1 and up.upstate != 1:
                    Surface.blit(jetpak_guy, (myposx, myposy))
                if leftgoing == 1 and up.upstate == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                if leftgoing == 0 and up.upstate == 1:
                    Surface.blit(jrf, (myposx, myposy))
                pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 300), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circlepos, 300), 20, 0)
                circle2pos += 3
                if (event.type == KEYUP):
                    if (event.key == K_LEFT):
                        time.sleep(0.03)
                if (event.type == KEYUP):
                    if (event.key == K_RIGHT):
                        time.sleep(0.03)
                if (event.type == KEYDOWN):
                    if (event.key == K_LEFT):
                        time.sleep(0.005)
                if (event.type == KEYDOWN):
                    if (event.key == K_RIGHT):
                        time.sleep(0.005)
                if circle2pos > 3000:
                    gun = 1
                    circle2pos = 1024
            if (myposx + -tutpos) > circle2pos -60 and (myposx + -tutpos) < circle2pos -10 and myposy > (20 + (300 - 168)) and myposy < (180 + (300 - 168)):
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1024
                circle2 = 0
                gun1 = 1
                circlepos = 1450
                circle = 0
        if level == 3:
            if not pygame.mixer.music.get_busy():
                music('data/music/menu song.mid')
            pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 300), 20, 0)
            pygame.draw.circle(Surface, RED, (tutpos + circlepos, 70), 20, 0)
            pygame.display.set_caption("level 3")
            Surface.blit(portal, (tutpos + 80, 30))
            #small box
            if myposx > 224 and myposx < 228:
                if tutpos < -980 and tutpos > -990:
                    if myposy > 90:
                        tutpos -= 6
            if myposx > 224 and myposx < 228:
                if tutpos < -780 and tutpos > -790:
                    if myposy > 90:
                        tutpos += 6
            if myposx > 224 and myposx < 228:
                if tutpos < -780 and tutpos > -990:
                    if myposy > 90:
                        myposy -= 2




            #big box       
            if myposx > 224 and myposx < 228:
                if tutpos < -1510 and tutpos > -1520:
                    if myposy > 3:
                        tutpos -= 6
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1330:
                    if myposy > 3:
                        tutpos += 6
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1520:
                    if myposy > 3:
                        myposy -= 2
            if gun1 == 1:
                circle = 1
                gun1 = 0
            if circle == 1:
                Surface.blit(level_1, (tutpos, 0))
                if leftgoing == 0 and up.upstate != 1:
                    Surface.blit(jet_right, (myposx, myposy))
                if leftgoing == 1 and up.upstate != 1:
                    Surface.blit(jetpak_guy, (myposx, myposy))
                if leftgoing == 1 and up.upstate == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                if leftgoing == 0 and up.upstate == 1:
                    Surface.blit(jrf, (myposx, myposy))
                pygame.draw.circle(Surface, RED, (tutpos + circlepos, 70), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 300), 20, 0)
                circlepos += 3
                if circlepos > 3000:
                    gun = 1
                    circlepos = 1450
            if (myposx + -tutpos) > circlepos -60 and (myposx + -tutpos) < circlepos -10 and myposy > -45 and myposy < 82:
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1024
                circle2 = 0
                gun1 = 1
                circlepos = 1450
                circle = 0
            if gun2 == 1:
                circle2 = 1
                gun2 = 0
            if circle2 == 1:
                Surface.blit(level_3, (tutpos, 0))
                if leftgoing == 0 and up.upstate != 1:
                    Surface.blit(jet_right, (myposx, myposy))
                if leftgoing == 1 and up.upstate != 1:
                    Surface.blit(jetpak_guy, (myposx, myposy))
                if leftgoing == 1 and up.upstate == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                if leftgoing == 0 and up.upstate == 1:
                    Surface.blit(jrf, (myposx, myposy))
                pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 300), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circlepos, 70), 20, 0)
                circle2pos += 3
                if (event.type == KEYUP):
                    if (event.key == K_LEFT):
                        time.sleep(0.03)
                if (event.type == KEYUP):
                    if (event.key == K_RIGHT):
                        time.sleep(0.03)
                if (event.type == KEYDOWN):
                    if (event.key == K_LEFT):
                        time.sleep(0.005)
                if (event.type == KEYDOWN):
                    if (event.key == K_RIGHT):
                        time.sleep(0.005)
                if circle2pos > 3000:
                    gun = 1
                    circle2pos = 1024
            if (myposx + -tutpos) > circle2pos -60 and (myposx + -tutpos) < circle2pos -10 and myposy > (20 + (300 - 168)) and myposy < (180 + (300 - 168)):
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1024
                circle2 = 0
                gun1 = 1
                circlepos = 1450
                circle = 0
        if level == 4:
            pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 260), 20, 0)
            pygame.draw.circle(Surface, RED, (tutpos + circlepos, 260), 20, 0)
            pygame.draw.circle(Surface, RED, (tutpos + circle3pos, 100), 20, 0)
            pygame.display.set_caption("level 4")
            Surface.blit(portal, (tutpos + 80, 30))
            if gun1 == 1:
                circle = 1
                gun1 = 0
            if circle == 1:
                if leftgoing == 0 and up.upstate != 1:
                    Surface.blit(jet_right, (myposx, myposy))
                if leftgoing == 1 and up.upstate != 1:
                    Surface.blit(jetpak_guy, (myposx, myposy))
                if leftgoing == 1 and up.upstate == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                if leftgoing == 0 and up.upstate == 1:
                    Surface.blit(jrf, (myposx, myposy))
                pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circlepos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circle3pos, 100), 20, 0)
                circlepos += 3
                if circlepos > 3000:
                    gun = 1
                    circlepos = 1300
            if (myposx + -tutpos) > circlepos -60 and (myposx + -tutpos) < circlepos -10 and myposy > 112 and myposy < 174:
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1300
                circle2 = 0
                gun1 = 1
                circlepos = 1300
                circle = 0
                gun3 = 1
                circle3pos = 900
                circle3 = 0
            if gun2 == 1:
                circle2 = 1
                gun2 = 0
            if circle2 == 1:
                Surface.blit(level_4, (tutpos, 0))
                if leftgoing == 0 and up.upstate != 1:
                    Surface.blit(jet_right, (myposx, myposy))
                if leftgoing == 1 and up.upstate != 1:
                    Surface.blit(jetpak_guy, (myposx, myposy))
                if leftgoing == 1 and up.upstate == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                if leftgoing == 0 and up.upstate == 1:
                    Surface.blit(jrf, (myposx, myposy))
                pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circlepos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circle3pos, 100), 20, 0)
                circle2pos += 3
                if (event.type == KEYUP):
                    if (event.key == K_LEFT):
                        time.sleep(0.03)
                if (event.type == KEYUP):
                    if (event.key == K_RIGHT):
                        time.sleep(0.03)
                if (event.type == KEYDOWN):
                    if (event.key == K_LEFT):
                        time.sleep(0.005)
                if (event.type == KEYDOWN):
                    if (event.key == K_RIGHT):
                        time.sleep(0.005)
                if circle2pos > 3000:
                    gun = 1
                    circle2pos = 1024
            if (myposx + -tutpos) > circle2pos -60 and (myposx + -tutpos) < circle2pos -10 and myposy > 112 and myposy < 174:
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1300
                circle2 = 0
                gun1 = 1
                circlepos = 1300
                circle = 0
                gun3 = 1
                circle3pos = 900
                circle3 = 0
            if gun3 == 1:
                circle3 = 1
                gun3 = 0
            if circle3 == 1:
                if leftgoing == 0 and up.upstate != 1:
                    Surface.blit(jet_right, (myposx, myposy))
                if leftgoing == 1 and up.upstate != 1:
                    Surface.blit(jetpak_guy, (myposx, myposy))
                if leftgoing == 1 and up.upstate == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                if leftgoing == 0 and up.upstate == 1:
                    Surface.blit(jrf, (myposx, myposy))
                pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circlepos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circle3pos, 100), 20, 0)
                circle3pos += 3
                if circle3pos > 3000:
                    gun = 1
                    circle3pos = 900
            if (myposx + -tutpos) > circle3pos -60 and (myposx + -tutpos) < circle3pos -10 and myposy > 12 and myposy < 74:
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1300
                circle2 = 0
                gun1 = 1
                circlepos = 1300
                circle = 0
                gun3 = 1
                circle3pos = 900
                circle3 = 0
        if level == 5:
            pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 260), 20, 0)
            pygame.draw.circle(Surface, RED, (tutpos + circlepos, 260), 20, 0)
            pygame.draw.circle(Surface, RED, (tutpos + circle3pos, 100), 20, 0)
            pygame.draw.circle(Surface, RED, (tutpos + circle4pos, 100), 20, 0)
            pygame.display.set_caption("level 5")
            Surface.blit(portal, (tutpos + 80, 30))
            if gun1 == 1:
                circle = 1
                gun1 = 0
            if circle == 1:
                if leftgoing == 0 and up.upstate != 1:
                    Surface.blit(jet_right, (myposx, myposy))
                if leftgoing == 1 and up.upstate != 1:
                    Surface.blit(jetpak_guy, (myposx, myposy))
                if leftgoing == 1 and up.upstate == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                if leftgoing == 0 and up.upstate == 1:
                    Surface.blit(jrf, (myposx, myposy))
                pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circlepos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circle3pos, 100), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circle4pos, 100), 20, 0)
                circlepos += 3
                if circlepos > 3000:
                    gun = 1
                    circlepos = 1300
            if (myposx + -tutpos) > circlepos -60 and (myposx + -tutpos) < circlepos -10 and myposy > 112 and myposy < 174:
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1300
                circle2 = 0
                gun1 = 1
                circlepos = 1300
                circle = 0
                gun3 = 1
                circle3pos = 900
                circle3 = 0
                gun4 = 1
                circle4pos = 900
                circle4 = 0
            if gun2 == 1:
                circle2 = 1
                gun2 = 0
            if circle2 == 1:
                Surface.blit(level_5, (tutpos, 0))
                if leftgoing == 0 and up.upstate != 1:
                    Surface.blit(jet_right, (myposx, myposy))
                if leftgoing == 1 and up.upstate != 1:
                    Surface.blit(jetpak_guy, (myposx, myposy))
                if leftgoing == 1 and up.upstate == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                if leftgoing == 0 and up.upstate == 1:
                    Surface.blit(jrf, (myposx, myposy))
                pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circlepos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circle3pos, 100), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circle4pos, 100), 20, 0)
                circle2pos += 3
                if (event.type == KEYUP):
                    if (event.key == K_LEFT):
                        time.sleep(0.03)
                if (event.type == KEYUP):
                    if (event.key == K_RIGHT):
                        time.sleep(0.03)
                if (event.type == KEYDOWN):
                    if (event.key == K_LEFT):
                        time.sleep(0.005)
                if (event.type == KEYDOWN):
                    if (event.key == K_RIGHT):
                        time.sleep(0.005)
                if circle2pos > 3000:
                    gun = 1
                    circle2pos = 1024
            if (myposx + -tutpos) > circle2pos -60 and (myposx + -tutpos) < circle2pos -10 and myposy > 112 and myposy < 174:
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1300
                circle2 = 0
                gun1 = 1
                circlepos = 1300
                circle = 0
                gun3 = 1
                circle3pos = 900
                circle3 = 0
                gun4 = 1
                circle4pos = 900
                circle4 = 0
            if gun3 == 1:
                circle3 = 1
                gun3 = 0
            if circle3 == 1:
                if leftgoing == 0 and up.upstate != 1:
                    Surface.blit(jet_right, (myposx, myposy))
                if leftgoing == 1 and up.upstate != 1:
                    Surface.blit(jetpak_guy, (myposx, myposy))
                if leftgoing == 1 and up.upstate == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                if leftgoing == 0 and up.upstate == 1:
                    Surface.blit(jrf, (myposx, myposy))
                pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circlepos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circle3pos, 100), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circle4pos, 100), 20, 0)
                circle3pos += 3
                if circle3pos > 3000:
                    gun = 1
                    circle3pos = 900
            if (myposx + -tutpos) > circle3pos -60 and (myposx + -tutpos) < circle3pos -10 and myposy > 12 and myposy < 74:
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1300
                circle2 = 0
                gun1 = 1
                circlepos = 1300
                circle = 0
                gun3 = 1
                circle3pos = 900
                circle3 = 0
                gun4 = 1
                circle4pos = 900
                circle4 = 0
            if gun4 == 1:
                circle3 = 1
                gun3 = 0
            if circle4 == 1:
                if leftgoing == 0 and up.upstate != 1:
                    Surface.blit(jet_right, (myposx, myposy))
                if leftgoing == 1 and up.upstate != 1:
                    Surface.blit(jetpak_guy, (myposx, myposy))
                if leftgoing == 1 and up.upstate == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                if leftgoing == 0 and up.upstate == 1:
                    Surface.blit(jrf, (myposx, myposy))
                pygame.draw.circle(Surface, RED, (tutpos + circle2pos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circlepos, 260), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circle3pos, 100), 20, 0)
                pygame.draw.circle(Surface, RED, (tutpos + circle4pos, 100), 20, 0)
                circle4pos += 3
                if circle4pos > 3000:
                    gun = 1
                    circle4pos = 900
            if (myposx + -tutpos) > circle4pos -60 and (myposx + -tutpos) < circle4pos -10 and myposy > 12 and myposy < 74:
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1300
                circle2 = 0
                gun1 = 1
                circlepos = 1300
                circle = 0
                gun3 = 1
                circle3pos = 900
                circle3 = 0
                gun4 = 1
                circle4pos = 900
                circle4 = 0
        if level == 6:
            if not pygame.mixer.music.get_busy():
                music('data/music/cave.mid')
            pygame.display.set_caption("level 6")
            Surface.blit(level_6, (tutpos, 0))
            time.sleep(0.02)
            pygame.draw.circle(Surface, RED, (tutpos + 600, 260), 20, 0)
            if (myposx + -tutpos) > 600 -60 and (myposx + -tutpos) < 600 -10 and myposy > 12 and myposy < 74:
                myposx = 400
                myposy = 285
                tutpos = -2250
            if myposx > 224 and myposx < 228:
                if tutpos < -1510 and tutpos > -1520:
                    if myposy > 119:
                        myposx = 400
                        myposy = 285
                        tutpos = -2250
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1330:
                    if myposy > 119:
                        myposx = 400
                        myposy = 285
                        tutpos = -2250
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1520:
                    if myposy > 119:
                        myposx = 400
                        myposy = 285
                        tutpos = -2250
            if leftgoing == 0 and up.upstate != 1:
                Surface.blit(jet_right, (myposx, myposy))
            if leftgoing == 1 and up.upstate != 1:
                Surface.blit(jetpak_guy, (myposx, myposy))
            if leftgoing == 1 and up.upstate == 1:
                Surface.blit(jet_fly, (myposx, myposy))
            if leftgoing == 0 and up.upstate == 1:
                Surface.blit(jrf, (myposx, myposy))
        if level == 7:
            if not pygame.mixer.music.get_busy():
                music('data/music/cave.mid')
            pygame.display.set_caption("level 7")
            Surface.blit(level_6, (tutpos, 0))
            time.sleep(0.02)
            pygame.draw.circle(Surface, RED, (tutpos + 600, 260), 20, 0)
            if (myposx + -tutpos) > 600 -60 and (myposx + -tutpos) < 600 -10 and myposy > 12 and myposy < 74:
                myposx = 400
                myposy = 285
                tutpos = -2250
            if myposx > 224 and myposx < 228:
                if tutpos < -1510 and tutpos > -1520:
                    if myposy > 119:
                        myposx = 400
                        myposy = 285
                        tutpos = -2250
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1330:
                    if myposy > 119:
                        myposx = 400
                        myposy = 285
                        tutpos = -2250
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1520:
                    if myposy > 119:
                        myposx = 400
                        myposy = 285
                        tutpos = -2250
            if leftgoing == 0 and up.upstate != 1:
                Surface.blit(jet_right, (myposx, myposy))
            if leftgoing == 1 and up.upstate != 1:
                Surface.blit(jetpak_guy, (myposx, myposy))
            if leftgoing == 1 and up.upstate == 1:
                Surface.blit(jet_fly, (myposx, myposy))
            if leftgoing == 0 and up.upstate == 1:
                Surface.blit(jrf, (myposx, myposy))
        if level == 8:
            if not pygame.mixer.music.get_busy():
                music('data/music/cave.mid')
            pygame.display.set_caption("level 8")
            Surface.blit(level_6, (tutpos, 0))
            time.sleep(0.02)
            pygame.draw.circle(Surface, RED, (tutpos + 600, 260), 20, 0)
            if (myposx + -tutpos) > 600 -60 and (myposx + -tutpos) < 600 -10 and myposy > 12 and myposy < 74:
                myposx = 400
                myposy = 285
                tutpos = -2250
            if myposx > 224 and myposx < 228:
                if tutpos < -1510 and tutpos > -1520:
                    if myposy > 119:
                        myposx = 400
                        myposy = 285
                        tutpos = -2250
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1330:
                    if myposy > 119:
                        myposx = 400
                        myposy = 285
                        tutpos = -2250
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1520:
                    if myposy > 119:
                        myposx = 400
                        myposy = 285
                        tutpos = -2250
            if leftgoing == 0 and up.upstate != 1:
                Surface.blit(jet_right, (myposx, myposy))
            if leftgoing == 1 and up.upstate != 1:
                Surface.blit(jetpak_guy, (myposx, myposy))
            if leftgoing == 1 and up.upstate == 1:
                Surface.blit(jet_fly, (myposx, myposy))
            if leftgoing == 0 and up.upstate == 1:
                Surface.blit(jrf, (myposx, myposy))
        if level == 9:
            if not pygame.mixer.music.get_busy():
                music('data/music/cave.mid')
            pygame.display.set_caption("final level")
            Surface.blit(level_6, (tutpos, 0))
            time.sleep(0.02)
            pygame.draw.circle(Surface, RED, (tutpos + 600, 260), 20, 0)
            if (myposx + -tutpos) > 600 -60 and (myposx + -tutpos) < 600 -10 and myposy > 12 and myposy < 74:
                myposx = 400
                myposy = 285
                tutpos = -2250
            if myposx > 224 and myposx < 228:
                if tutpos < -1510 and tutpos > -1520:
                    if myposy > 119:
                        myposx = 400
                        myposy = 285
                        tutpos = -2250
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1330:
                    if myposy > 119:
                        myposx = 400
                        myposy = 285
                        tutpos = -2250
            if myposx > 224 and myposx < 228:
                if tutpos < -1320 and tutpos > -1520:
                    if myposy > 119:
                        myposx = 400
                        myposy = 285
                        tutpos = -2250
            if leftgoing == 0 and up.upstate != 1:
                Surface.blit(jet_right, (myposx, myposy))
            if leftgoing == 1 and up.upstate != 1:
                Surface.blit(jetpak_guy, (myposx, myposy))
            if leftgoing == 1 and up.upstate == 1:
                Surface.blit(jet_fly, (myposx, myposy))
            if leftgoing == 0 and up.upstate == 1:
                Surface.blit(jrf, (myposx, myposy))
            Surface.blit(princess, (tutpos + 80, 300))
            if myposx < 120:
                levelloop = 0
        if level != 9:
            Surface.blit(portal, (tutpos + 80, 30))
        pygame.display.update()
        up.UPSTATE()
        if up.upstate == 1:
            if myposy > 0:
                myposy -= 3
                if level == 0:
                    Surface.blit(tutorial, (tutpos, 0))
                elif level == 1:
                    Surface.blit(level_1, (tutpos, 0))
                if leftgoing == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                else:
                    Surface.blit(jrf, (myposx, myposy))
        Surface.blit(portal, (tutpos + 80, 30))
        pygame.display.update()
        up.UPSTATE()
        if up.upstate == 1:
            if myposy > 0:
                myposy -= 3
                if level == 0:
                    Surface.blit(tutorial, (tutpos, 0))
                elif level == 1:
                    Surface.blit(level_1, (tutpos, 0))
                if leftgoing == 1:
                    Surface.blit(jet_fly, (myposx, myposy))
                else:
                    Surface.blit(jrf, (myposx, myposy))
                pygame.display.update()
        if up.upstate == 0:
            if myposy < 285:
                myposy += 2
                if level == 0:
                    Surface.blit(tutorial, (tutpos, 0))
                elif level == 1:
                    Surface.blit(level_1, (tutpos, 0))
                if leftgoing == 1:
                    Surface.blit(jetpak_guy, (myposx, myposy))
                else:
                    Surface.blit(jet_right, (myposx, myposy))
                pygame.display.update()
        if level == 0:
            if not pygame.mixer.music.get_busy():
                music('data/music/menu song.mid')
            pygame.display.set_caption("tutorial")
            if myposx > 480:
                myposx = 480
            if tutpos < -400:
                tutpos = -400
            if tutpos == -400:
                if right.rightstate == 1:
                    myposx += 1
            if myposx > 224 and myposx < 228:
                if left.leftstate == 1:
                    if myposx < 480:
                        tutpos += 3
                    else:
                        myposx = 480
                if right.rightstate == 1:
                     tutpos -= 3
            if left.leftstate == 1:
                if tutpos < 0 and tutpos > -401:
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(tutorial, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    else:
                        myposx -= 3
                        Surface.blit(tutorial, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                else:
                    if myposx > 0:
                        myposx -= 3
                        Surface.blit(tutorial, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(tutorial, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
            if right.rightstate == 1:
                if tutpos < 0 and tutpos > -401:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(tutorial, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    else:
                        myposx += 3
                        Surface.blit(tutorial, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                else:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(tutorial, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    elif myposx < 480:
                        myposx += 3
                        Surface.blit(tutorial, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
            for event in pygame.event.get():
                try:
                    if (event.key == K_ESCAPE):
                        menuloop = 1
                        menuselect = 1
                        #Menu
                        Surface.blit(jetpak_small, (200, 210))
                        while menuloop == 1:
                            pygame.display.update()
                            for event in pygame.event.get():
                                if menuselect == 1:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 170))
                                if menuselect == 2:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 245))
                                if menuselect == 3:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (350, 170))
                                if menuselect == 4:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (280, 320))
                                if event.type == pygame.QUIT: 
                                    sys.exit()
                                if (event.type == KEYDOWN):
                                    if (event.key == K_RETURN):
                                        if menuselect == 2:
                                            sys.exit()
                                        elif menuselect == 1:
                                            menuloop = 0
                                        elif menuselect == 3:
                                            timer = raw_input("How long do you need to wait. 0.0 for slow computers, 0.01 for fast.")
                                            timer = float(timer)
                                        elif menuselect == 4:
                                            Surface.blit(instruct, (0, 0))
                                            pygame.display.update()
                                            time.sleep(3.5)
                                    elif (event.key == K_DOWN):
                                        if menuselect != 4:
                                            menuselect += 1
                                        elif menuselect == 4:
                                            menuselect = 1
                                    elif (event.key == K_UP):
                                        if menuselect != 1:
                                            menuselect -= 1
                                        elif menuselect == 1:
                                            menuselect = 4
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_LEFT):
                        left.LEFTSTATE()
                        if tutpos < 0 and tutpos > -401:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(tutorial, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            else:
                                myposx += 3
                                Surface.blit(tutorial, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(tutorial, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            elif myposx < 480:
                                myposx += 3
                                Surface.blit(tutorial, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_RIGHT):
                        right.RIGHTSTATE()
                        if tutpos < 0 and tutpos > -401:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(tutorial, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            else:
                                myposx -= 3
                                Surface.blit(tutorial, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(tutorial, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            elif myposx < 480:
                                myposx -= 3
                                Surface.blit(tutorial, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_UP):
                        up.UPSTATE()
                        Surface.blit(tutorial, (tutpos, 0))
                        if leftgoing == 1:
                            Surface.blit(jetpak_guy, (myposx, myposy))
                        else:
                            Surface.blit(jet_right, (myposx, myposy))
                except Exception:
                    uselessvariable = 1
            Surface.blit(portal, (tutpos + 80, 30))
            if myposx > 100 and myposx < 200 and myposy > 0 and myposy < 200:
                level = 1
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun1 = 1
                circlepos = 1450
                circle = 0
                Surface.blit(hello, (0, 0))
                timer = timer - 0.02
                pygame.display.update()
                time.sleep(5)






                
        if level == 1:
            if myposx > 480:
                myposx = 480
            if tutpos < -2250:
                tutpos = -2250
            if tutpos == -2250:
                if right.rightstate == 1:
                    myposx += 1
            if myposx > 224 and myposx < 228:
                if left.leftstate == 1:
                    if myposx < 480:
                        tutpos += 3
                    else:
                        myposx = 480
                if right.rightstate == 1:
                     tutpos -= 3
            if left.leftstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_1, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    else:
                        myposx -= 3
                        Surface.blit(level_1, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                else:
                    if myposx > 0:
                        myposx -= 3
                        Surface.blit(level_1, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_1, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
            if right.rightstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_1, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    else:
                        myposx += 3
                        Surface.blit(level_1, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                else:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_1, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    elif myposx < 480:
                        myposx += 3
                        Surface.blit(level_1, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
            for event in pygame.event.get():
                try:
                    if (event.key == K_ESCAPE):
                        menuloop = 1
                        menuselect = 1
                        #Menu
                        Surface.blit(jetpak_small, (200, 210))
                        while menuloop == 1:
                            pygame.display.update()
                            for event in pygame.event.get():
                                if menuselect == 1:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 170))
                                if menuselect == 2:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 245))
                                if menuselect == 3:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (350, 170))
                                if menuselect == 4:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (280, 320))
                                if event.type == pygame.QUIT: 
                                    sys.exit()
                                if (event.type == KEYDOWN):
                                    if (event.key == K_RETURN):
                                        if menuselect == 2:
                                            sys.exit()
                                        elif menuselect == 1:
                                            menuloop = 0
                                        elif menuselect == 3:
                                            timer = raw_input("How long do you need to wait. 0.0 for slow computers, 0.01 for fast.")
                                            timer = float(timer)
                                        elif menuselect == 4:
                                            Surface.blit(instruct, (0, 0))
                                            pygame.display.update()
                                            time.sleep(3.5)
                                    elif (event.key == K_DOWN):
                                        if menuselect != 4:
                                            menuselect += 1
                                        elif menuselect == 4:
                                            menuselect = 1
                                    elif (event.key == K_UP):
                                        if menuselect != 1:
                                            menuselect -= 1
                                        elif menuselect == 1:
                                            menuselect = 4
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_LEFT):
                        left.LEFTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_1, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            else:
                                myposx += 3
                                Surface.blit(level_1, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_1, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            elif myposx < 480:
                                myposx += 3
                                Surface.blit(level_1, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_RIGHT):
                        right.RIGHTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_1, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            else:
                                myposx -= 3
                                Surface.blit(level_1, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_1, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            elif myposx < 480:
                                myposx -= 3
                                Surface.blit(level_1, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_UP):
                        up.UPSTATE()
                        Surface.blit(level_1, (tutpos, 0))
                        if leftgoing == 1:
                            Surface.blit(jetpak_guy, (myposx, myposy))
                        else:
                            Surface.blit(jet_right, (myposx, myposy))
                except Exception:
                    uselessvariable = 1
            Surface.blit(portal, (tutpos + 80, 30))
            if myposx > 100 and myposx < 200 and myposy > 0 and myposy < 200:
                level = 2
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun1 = 1
                circlepos = 1450
                circle = 0
                gun2 = 1
                circle2 = 0
                circle2pos = 1024
                pygame.display.update()






        if level == 2:
            #level 2
            if myposx > 480:
                myposx = 480
            if tutpos < -2250:
                tutpos = -2250
            if tutpos == -2250:
                if right.rightstate == 1:
                    myposx += 1
            if myposx > 224 and myposx < 228:
                if left.leftstate == 1:
                    if myposx < 480:
                        tutpos += 3
                    else:
                        myposx = 480
                if right.rightstate == 1:
                     tutpos -= 3
            if left.leftstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_2, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    else:
                        myposx -= 3
                        Surface.blit(level_2, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                else:
                    if myposx > 0:
                        myposx -= 3
                        Surface.blit(level_2, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_2, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
            if right.rightstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_2, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    else:
                        myposx += 3
                        Surface.blit(level_2, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                else:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_2, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    elif myposx < 480:
                        myposx += 3
                        Surface.blit(level_2, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
            for event in pygame.event.get():
                try:
                    if (event.key == K_ESCAPE):
                        menuloop = 1
                        menuselect = 1
                        #Menu
                        Surface.blit(jetpak_small, (200, 210))
                        while menuloop == 1:
                            pygame.display.update()
                            for event in pygame.event.get():
                                if menuselect == 1:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 170))
                                if menuselect == 2:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 245))
                                if menuselect == 3:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (350, 170))
                                if menuselect == 4:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (280, 320))
                                if event.type == pygame.QUIT: 
                                    sys.exit()
                                if (event.type == KEYDOWN):
                                    if (event.key == K_RETURN):
                                        if menuselect == 2:
                                            sys.exit()
                                        elif menuselect == 1:
                                            menuloop = 0
                                        elif menuselect == 3:
                                            timer = raw_input("How long do you need to wait. 0.0 for slow computers, 0.01 for fast.")
                                            timer = float(timer)
                                        elif menuselect == 4:
                                            Surface.blit(instruct, (0, 0))
                                            pygame.display.update()
                                            time.sleep(3.5)
                                    elif (event.key == K_DOWN):
                                        if menuselect != 4:
                                            menuselect += 1
                                        elif menuselect == 4:
                                            menuselect = 1
                                    elif (event.key == K_UP):
                                        if menuselect != 1:
                                            menuselect -= 1
                                        elif menuselect == 1:
                                            menuselect = 4
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_LEFT):
                        left.LEFTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_2, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            else:
                                myposx += 3
                                Surface.blit(level_2, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_2, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            elif myposx < 480:
                                myposx += 3
                                Surface.blit(level_2, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_RIGHT):
                        right.RIGHTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_2, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            else:
                                myposx -= 3
                                Surface.blit(level_2, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_2, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            elif myposx < 480:
                                myposx -= 3
                                Surface.blit(level_2, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_UP):
                        up.UPSTATE()
                        Surface.blit(level_2, (tutpos, 0))
                        if leftgoing == 1:
                            Surface.blit(jetpak_guy, (myposx, myposy))
                        else:
                            Surface.blit(jet_right, (myposx, myposy))
                except Exception:
                    uselessvariable = 1
            Surface.blit(portal, (tutpos + 80, 30))
            if myposx > 100 and myposx < 200 and myposy > 0 and myposy < 200:
                level = 3
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun1 = 1
                circlepos = 1450
                circle = 0
                gun2 = 1
                circle2 = 0
                circle2pos = 1024








        if level == 3:
            #level 3
            if myposx > 480:
                myposx = 480
            if tutpos < -2250:
                tutpos = -2250
            if tutpos == -2250:
                if right.rightstate == 1:
                    myposx += 1
            if myposx > 224 and myposx < 228:
                if left.leftstate == 1:
                    if myposx < 480:
                        tutpos += 3
                    else:
                        myposx = 480
                if right.rightstate == 1:
                     tutpos -= 3
            if left.leftstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_3, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    else:
                        myposx -= 3
                        Surface.blit(level_3, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                else:
                    if myposx > 0:
                        myposx -= 3
                        Surface.blit(level_3, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_3, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
            if right.rightstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_3, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    else:
                        myposx += 3
                        Surface.blit(level_3, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                else:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_3, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    elif myposx < 480:
                        myposx += 3
                        Surface.blit(level_3, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
            for event in pygame.event.get():
                try:
                    if (event.key == K_ESCAPE):
                        menuloop = 1
                        menuselect = 1
                        #Menu
                        Surface.blit(jetpak_small, (200, 210))
                        while menuloop == 1:
                            pygame.display.update()
                            for event in pygame.event.get():
                                if menuselect == 1:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 170))
                                if menuselect == 2:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 245))
                                if menuselect == 3:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (350, 170))
                                if menuselect == 4:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (280, 320))
                                if event.type == pygame.QUIT: 
                                    sys.exit()
                                if (event.type == KEYDOWN):
                                    if (event.key == K_RETURN):
                                        if menuselect == 2:
                                            sys.exit()
                                        elif menuselect == 1:
                                            menuloop = 0
                                        elif menuselect == 3:
                                            timer = raw_input("How long do you need to wait. 0.0 for slow computers, 0.01 for fast.")
                                            timer = float(timer)
                                        elif menuselect == 4:
                                            Surface.blit(instruct, (0, 0))
                                            pygame.display.update()
                                            time.sleep(3.5)
                                    elif (event.key == K_DOWN):
                                        if menuselect != 4:
                                            menuselect += 1
                                        elif menuselect == 4:
                                            menuselect = 1
                                    elif (event.key == K_UP):
                                        if menuselect != 1:
                                            menuselect -= 1
                                        elif menuselect == 1:
                                            menuselect = 4
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_LEFT):
                        left.LEFTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_3, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            else:
                                myposx += 3
                                Surface.blit(level_3, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_3, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            elif myposx < 480:
                                myposx += 3
                                Surface.blit(level_3, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_RIGHT):
                        right.RIGHTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_3, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            else:
                                myposx -= 3
                                Surface.blit(level_3, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_3, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            elif myposx < 480:
                                myposx -= 3
                                Surface.blit(level_3, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_UP):
                        up.UPSTATE()
                        Surface.blit(level_3, (tutpos, 0))
                        if leftgoing == 1:
                            Surface.blit(jetpak_guy, (myposx, myposy))
                        else:
                            Surface.blit(jet_right, (myposx, myposy))
                except Exception:
                    uselessvariable = 1
            Surface.blit(portal, (tutpos + 80, 30))
            if myposx > 100 and myposx < 200 and myposy > 0 and myposy < 200:
                level = 4
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1300
                circle2 = 0
                gun1 = 1
                circlepos = 1300
                circle = 0
                gun3 = 1
                circle3pos = 900
                circle3 = 0
                pygame.mixer.music.stop()







                
        if level == 4:
            if not pygame.mixer.music.get_busy():
                music('data/music/airship.mid')
            #level 4
            if myposx > 480:
                myposx = 480
            if tutpos < -2250:
                tutpos = -2250
            if tutpos == -2250:
                if right.rightstate == 1:
                    myposx += 1
            if myposx > 224 and myposx < 228:
                if left.leftstate == 1:
                    if myposx < 480:
                        tutpos += 3
                    else:
                        myposx = 480
                if right.rightstate == 1:
                     tutpos -= 3
            if left.leftstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_4, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    else:
                        myposx -= 3
                        Surface.blit(level_4, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                else:
                    if myposx > 0:
                        myposx -= 3
                        Surface.blit(level_4, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_4, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
            if right.rightstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_4, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    else:
                        myposx += 3
                        Surface.blit(level_4, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                else:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_4, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    elif myposx < 480:
                        myposx += 3
                        Surface.blit(level_4, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
            for event in pygame.event.get():
                try:
                    if (event.key == K_ESCAPE):
                        menuloop = 1
                        menuselect = 1
                        #Menu
                        Surface.blit(jetpak_small, (200, 210))
                        while menuloop == 1:
                            pygame.display.update()
                            for event in pygame.event.get():
                                if menuselect == 1:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 170))
                                if menuselect == 2:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 245))
                                if menuselect == 3:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (350, 170))
                                if menuselect == 4:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (280, 320))
                                if event.type == pygame.QUIT: 
                                    sys.exit()
                                if (event.type == KEYDOWN):
                                    if (event.key == K_RETURN):
                                        if menuselect == 2:
                                            sys.exit()
                                        elif menuselect == 1:
                                            menuloop = 0
                                        elif menuselect == 3:
                                            timer = raw_input("How long do you need to wait. 0.0 for slow computers, 0.01 for fast.")
                                            timer = float(timer)
                                        elif menuselect == 4:
                                            Surface.blit(instruct, (0, 0))
                                            pygame.display.update()
                                            time.sleep(3.5)
                                    elif (event.key == K_DOWN):
                                        if menuselect != 4:
                                            menuselect += 1
                                        elif menuselect == 4:
                                            menuselect = 1
                                    elif (event.key == K_UP):
                                        if menuselect != 1:
                                            menuselect -= 1
                                        elif menuselect == 1:
                                            menuselect = 4
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_LEFT):
                        left.LEFTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_4, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            else:
                                myposx += 3
                                Surface.blit(level_4, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_4, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            elif myposx < 480:
                                myposx += 3
                                Surface.blit(level_4, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_RIGHT):
                        right.RIGHTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_4, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            else:
                                myposx -= 3
                                Surface.blit(level_4, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_4, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            elif myposx < 480:
                                myposx -= 3
                                Surface.blit(level_4, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_UP):
                        up.UPSTATE()
                        Surface.blit(level_4, (tutpos, 0))
                        if leftgoing == 1:
                            Surface.blit(jetpak_guy, (myposx, myposy))
                        else:
                            Surface.blit(jet_right, (myposx, myposy))
                except Exception:
                    uselessvariable = 1
            Surface.blit(portal, (tutpos + 80, 30))
            if myposx > 100 and myposx < 200 and myposy > 0 and myposy < 200:
                level = 5
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1300
                circle2 = 0
                gun1 = 1
                circlepos = 1300
                circle = 0
                gun3 = 1
                circle3pos = 900
                circle3 = 0
                gun4 = 1
                circle4pos = 900
                circle4 = 0






                
        if level == 5:
            if not pygame.mixer.music.get_busy():
                music('data/music/airship.mid')
            #level 4
            if myposx > 480:
                myposx = 480
            if tutpos < -2250:
                tutpos = -2250
            if tutpos == -2250:
                if right.rightstate == 1:
                    myposx += 1
            if myposx > 224 and myposx < 228:
                if left.leftstate == 1:
                    if myposx < 480:
                        tutpos += 3
                    else:
                        myposx = 480
                if right.rightstate == 1:
                     tutpos -= 3
            if left.leftstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_5, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    else:
                        myposx -= 3
                        Surface.blit(level_5, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                else:
                    if myposx > 0:
                        myposx -= 3
                        Surface.blit(level_5, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_5, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
            if right.rightstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_5, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    else:
                        myposx += 3
                        Surface.blit(level_5, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                else:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_5, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    elif myposx < 480:
                        myposx += 3
                        Surface.blit(level_5, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
            for event in pygame.event.get():
                try:
                    if (event.key == K_ESCAPE):
                        menuloop = 1
                        menuselect = 1
                        #Menu
                        Surface.blit(jetpak_small, (200, 210))
                        while menuloop == 1:
                            pygame.display.update()
                            for event in pygame.event.get():
                                if menuselect == 1:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 170))
                                if menuselect == 2:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 245))
                                if menuselect == 3:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (350, 170))
                                if menuselect == 4:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (280, 320))
                                if event.type == pygame.QUIT: 
                                    sys.exit()
                                if (event.type == KEYDOWN):
                                    if (event.key == K_RETURN):
                                        if menuselect == 2:
                                            sys.exit()
                                        elif menuselect == 1:
                                            menuloop = 0
                                        elif menuselect == 3:
                                            timer = raw_input("How long do you need to wait. 0.0 for slow computers, 0.01 for fast.")
                                            timer = float(timer)
                                        elif menuselect == 4:
                                            Surface.blit(instruct, (0, 0))
                                            pygame.display.update()
                                            time.sleep(3.5)
                                    elif (event.key == K_DOWN):
                                        if menuselect != 4:
                                            menuselect += 1
                                        elif menuselect == 4:
                                            menuselect = 1
                                    elif (event.key == K_UP):
                                        if menuselect != 1:
                                            menuselect -= 1
                                        elif menuselect == 1:
                                            menuselect = 4
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_LEFT):
                        left.LEFTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_5, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            else:
                                myposx += 3
                                Surface.blit(level_5, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_5, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            elif myposx < 480:
                                myposx += 3
                                Surface.blit(level_5, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_RIGHT):
                        right.RIGHTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_5, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            else:
                                myposx -= 3
                                Surface.blit(level_5, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_5, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            elif myposx < 480:
                                myposx -= 3
                                Surface.blit(level_5, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_UP):
                        up.UPSTATE()
                        Surface.blit(level_5, (tutpos, 0))
                        if leftgoing == 1:
                            Surface.blit(jetpak_guy, (myposx, myposy))
                        else:
                            Surface.blit(jet_right, (myposx, myposy))
                except Exception:
                    uselessvariable = 1
            Surface.blit(portal, (tutpos + 80, 30))
            if myposx > 100 and myposx < 200 and myposy > 0 and myposy < 200:
                level = 6
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1300
                circle2 = 0
                gun1 = 1
                circlepos = 1300
                circle = 0
                gun3 = 1
                circle3pos = 900
                circle3 = 0
                gun4 = 1
                circle4pos = 900
                circle4 = 0
                pygame.mixer.music.stop()











                
        if level == 6:
            #level 4
            if myposx > 480:
                myposx = 480
            if tutpos < -2250:
                tutpos = -2250
            if tutpos == -2250:
                if right.rightstate == 1:
                    myposx += 1
            if myposx > 224 and myposx < 228:
                if left.leftstate == 1:
                    if myposx < 480:
                        tutpos += 3
                    else:
                        myposx = 480
                if right.rightstate == 1:
                     tutpos -= 3
            if left.leftstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    else:
                        myposx -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                else:
                    if myposx > 0:
                        myposx -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
            if right.rightstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    else:
                        myposx += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                else:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    elif myposx < 480:
                        myposx += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
            for event in pygame.event.get():
                try:
                    if (event.key == K_ESCAPE):
                        menuloop = 1
                        menuselect = 1
                        #Menu
                        Surface.blit(jetpak_small, (200, 210))
                        while menuloop == 1:
                            pygame.display.update()
                            for event in pygame.event.get():
                                if menuselect == 1:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 170))
                                if menuselect == 2:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 245))
                                if menuselect == 3:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (350, 170))
                                if menuselect == 4:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (280, 320))
                                if event.type == pygame.QUIT: 
                                    sys.exit()
                                if (event.type == KEYDOWN):
                                    if (event.key == K_RETURN):
                                        if menuselect == 2:
                                            sys.exit()
                                        elif menuselect == 1:
                                            menuloop = 0
                                        elif menuselect == 3:
                                            timer = raw_input("How long do you need to wait. 0.0 for slow computers, 0.01 for fast.")
                                            timer = float(timer)
                                        elif menuselect == 4:
                                            Surface.blit(instruct, (0, 0))
                                            pygame.display.update()
                                            time.sleep(3.5)
                                    elif (event.key == K_DOWN):
                                        if menuselect != 4:
                                            menuselect += 1
                                        elif menuselect == 4:
                                            menuselect = 1
                                    elif (event.key == K_UP):
                                        if menuselect != 1:
                                            menuselect -= 1
                                        elif menuselect == 1:
                                            menuselect = 4
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_LEFT):
                        left.LEFTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            else:
                                myposx += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            elif myposx < 480:
                                myposx += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_RIGHT):
                        right.RIGHTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            else:
                                myposx -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            elif myposx < 480:
                                myposx -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_UP):
                        up.UPSTATE()
                        Surface.blit(level_6, (tutpos, 0))
                        if leftgoing == 1:
                            Surface.blit(jetpak_guy, (myposx, myposy))
                        else:
                            Surface.blit(jet_right, (myposx, myposy))
                except Exception:
                    uselessvariable = 1
            Surface.blit(portal, (tutpos + 80, 30))
            if myposx > 100 and myposx < 200 and myposy > 0 and myposy < 200:
                level = 7
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1300
                circle2 = 0
                gun1 = 1
                circlepos = 1300
                circle = 0
                gun3 = 1
                circle3pos = 900
                circle3 = 0
                gun4 = 1
                circle4pos = 900
                circle4 = 0











        if level == 7:
            #level 4
            if myposx > 480:
                myposx = 480
            if tutpos < -2250:
                tutpos = -2250
            if tutpos == -2250:
                if right.rightstate == 1:
                    myposx += 1
            if myposx > 224 and myposx < 228:
                if left.leftstate == 1:
                    if myposx < 480:
                        tutpos += 3
                    else:
                        myposx = 480
                if right.rightstate == 1:
                     tutpos -= 3
            if left.leftstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    else:
                        myposx -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                else:
                    if myposx > 0:
                        myposx -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
            if right.rightstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    else:
                        myposx += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                else:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    elif myposx < 480:
                        myposx += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
            for event in pygame.event.get():
                try:
                    if (event.key == K_ESCAPE):
                        menuloop = 1
                        menuselect = 1
                        #Menu
                        Surface.blit(jetpak_small, (200, 210))
                        while menuloop == 1:
                            pygame.display.update()
                            for event in pygame.event.get():
                                if menuselect == 1:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 170))
                                if menuselect == 2:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 245))
                                if menuselect == 3:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (350, 170))
                                if menuselect == 4:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (280, 320))
                                if event.type == pygame.QUIT: 
                                    sys.exit()
                                if (event.type == KEYDOWN):
                                    if (event.key == K_RETURN):
                                        if menuselect == 2:
                                            sys.exit()
                                        elif menuselect == 1:
                                            menuloop = 0
                                        elif menuselect == 3:
                                            timer = raw_input("How long do you need to wait. 0.0 for slow computers, 0.01 for fast.")
                                            timer = float(timer)
                                        elif menuselect == 4:
                                            Surface.blit(instruct, (0, 0))
                                            pygame.display.update()
                                            time.sleep(3.5)
                                    elif (event.key == K_DOWN):
                                        if menuselect != 4:
                                            menuselect += 1
                                        elif menuselect == 4:
                                            menuselect = 1
                                    elif (event.key == K_UP):
                                        if menuselect != 1:
                                            menuselect -= 1
                                        elif menuselect == 1:
                                            menuselect = 4
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_LEFT):
                        left.LEFTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            else:
                                myposx += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            elif myposx < 480:
                                myposx += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_RIGHT):
                        right.RIGHTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            else:
                                myposx -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            elif myposx < 480:
                                myposx -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_UP):
                        up.UPSTATE()
                        Surface.blit(level_6, (tutpos, 0))
                        if leftgoing == 1:
                            Surface.blit(jetpak_guy, (myposx, myposy))
                        else:
                            Surface.blit(jet_right, (myposx, myposy))
                except Exception:
                    uselessvariable = 1
            Surface.blit(portal, (tutpos + 80, 30))
            if myposx > 100 and myposx < 200 and myposy > 0 and myposy < 200:
                level = 8
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1300
                circle2 = 0
                gun1 = 1
                circlepos = 1300
                circle = 0
                gun3 = 1
                circle3pos = 900
                circle3 = 0
                gun4 = 1
                circle4pos = 900
                circle4 = 0








        if level == 8:
            #level 4
            if myposx > 480:
                myposx = 480
            if tutpos < -2250:
                tutpos = -2250
            if tutpos == -2250:
                if right.rightstate == 1:
                    myposx += 1
            if myposx > 224 and myposx < 228:
                if left.leftstate == 1:
                    if myposx < 480:
                        tutpos += 3
                    else:
                        myposx = 480
                if right.rightstate == 1:
                     tutpos -= 3
            if left.leftstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    else:
                        myposx -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                else:
                    if myposx > 0:
                        myposx -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
            if right.rightstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    else:
                        myposx += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                else:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    elif myposx < 480:
                        myposx += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
            for event in pygame.event.get():
                try:
                    if (event.key == K_ESCAPE):
                        menuloop = 1
                        menuselect = 1
                        #Menu
                        Surface.blit(jetpak_small, (200, 210))
                        while menuloop == 1:
                            pygame.display.update()
                            for event in pygame.event.get():
                                if menuselect == 1:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 170))
                                if menuselect == 2:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 245))
                                if menuselect == 3:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (350, 170))
                                if menuselect == 4:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (280, 320))
                                if event.type == pygame.QUIT: 
                                    sys.exit()
                                if (event.type == KEYDOWN):
                                    if (event.key == K_RETURN):
                                        if menuselect == 2:
                                            sys.exit()
                                        elif menuselect == 1:
                                            menuloop = 0
                                        elif menuselect == 3:
                                            timer = raw_input("How long do you need to wait. 0.0 for slow computers, 0.01 for fast.")
                                            timer = float(timer)
                                        elif menuselect == 4:
                                            Surface.blit(instruct, (0, 0))
                                            pygame.display.update()
                                            time.sleep(3.5)
                                    elif (event.key == K_DOWN):
                                        if menuselect != 4:
                                            menuselect += 1
                                        elif menuselect == 4:
                                            menuselect = 1
                                    elif (event.key == K_UP):
                                        if menuselect != 1:
                                            menuselect -= 1
                                        elif menuselect == 1:
                                            menuselect = 4
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_LEFT):
                        left.LEFTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            else:
                                myposx += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            elif myposx < 480:
                                myposx += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_RIGHT):
                        right.RIGHTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            else:
                                myposx -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            elif myposx < 480:
                                myposx -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_UP):
                        up.UPSTATE()
                        Surface.blit(level_6, (tutpos, 0))
                        if leftgoing == 1:
                            Surface.blit(jetpak_guy, (myposx, myposy))
                        else:
                            Surface.blit(jet_right, (myposx, myposy))
                except Exception:
                    uselessvariable = 1
            Surface.blit(portal, (tutpos + 80, 30))
            if myposx > 100 and myposx < 200 and myposy > 0 and myposy < 200:
                level = 9
                myposx = 400
                myposy = 285
                tutpos = -2250
                gun2 = 1
                circle2pos = 1300
                circle2 = 0
                gun1 = 1
                circlepos = 1300
                circle = 0
                gun3 = 1
                circle3pos = 900
                circle3 = 0
                gun4 = 1
                circle4pos = 900
                circle4 = 0












        if level == 9:
            #level 4
            if myposx > 480:
                myposx = 480
            if tutpos < -2250:
                tutpos = -2250
            if tutpos == -2250:
                if right.rightstate == 1:
                    myposx += 1
            if myposx > 224 and myposx < 228:
                if left.leftstate == 1:
                    if myposx < 480:
                        tutpos += 3
                    else:
                        myposx = 480
                if right.rightstate == 1:
                     tutpos -= 3
            if left.leftstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    else:
                        myposx -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                else:
                    if myposx > 0:
                        myposx -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
                    if myposx > 224 and myposx < 228:
                        tutpos += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jetpak_guy, (myposx, myposy))
            if right.rightstate == 1:
                if tutpos < 0 and tutpos > -2251:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    else:
                        myposx += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                else:
                    if myposx > 224 and myposx < 228:
                        tutpos -= 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
                    elif myposx < 480:
                        myposx += 3
                        Surface.blit(level_6, (tutpos, 0))
                        Surface.blit(jet_right, (myposx, myposy))
            for event in pygame.event.get():
                try:
                    if (event.key == K_ESCAPE):
                        menuloop = 1
                        menuselect = 1
                        #Menu
                        Surface.blit(jetpak_small, (200, 210))
                        while menuloop == 1:
                            pygame.display.update()
                            for event in pygame.event.get():
                                if menuselect == 1:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 170))
                                if menuselect == 2:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (200, 245))
                                if menuselect == 3:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (350, 170))
                                if menuselect == 4:
                                    Surface.blit(menu, (0, 0))
                                    Surface.blit(jetpak_small, (280, 320))
                                if event.type == pygame.QUIT: 
                                    sys.exit()
                                if (event.type == KEYDOWN):
                                    if (event.key == K_RETURN):
                                        if menuselect == 2:
                                            sys.exit()
                                        elif menuselect == 1:
                                            menuloop = 0
                                        elif menuselect == 3:
                                            timer = raw_input("How long do you need to wait. 0.0 for slow computers, 0.01 for fast.")
                                            timer = float(timer)
                                        elif menuselect == 4:
                                            Surface.blit(instruct, (0, 0))
                                            pygame.display.update()
                                            time.sleep(3.5)
                                    elif (event.key == K_DOWN):
                                        if menuselect != 4:
                                            menuselect += 1
                                        elif menuselect == 4:
                                            menuselect = 1
                                    elif (event.key == K_UP):
                                        if menuselect != 1:
                                            menuselect -= 1
                                        elif menuselect == 1:
                                            menuselect = 4
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_LEFT):
                        left.LEFTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            else:
                                myposx += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                            elif myposx < 480:
                                myposx += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jetpak_guy, (myposx, myposy))
                                leftgoing = 1
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_RIGHT):
                        right.RIGHTSTATE()
                        if tutpos < 0 and tutpos > -2251:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            else:
                                myposx -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                        else:
                            if myposx > 224 and myposx < 228:
                                tutpos += 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                            elif myposx < 480:
                                myposx -= 3
                                Surface.blit(level_6, (tutpos, 0))
                                Surface.blit(jet_right, (myposx, myposy))
                                leftgoing = 0
                except Exception:
                    uselessvariable = 1
                try:
                    if (event.key == K_UP):
                        up.UPSTATE()
                        Surface.blit(level_6, (tutpos, 0))
                        if leftgoing == 1:
                            Surface.blit(jetpak_guy, (myposx, myposy))
                        else:
                            Surface.blit(jet_right, (myposx, myposy))
                except Exception:
                    uselessvariable = 1
            if myposx < 120:
                levelloop = 0
    Surface.blit(win, (0, 0))
    pygame.display.update()
    loop = 1
    print 'winner'
    time.sleep(1)
    while loop == 1:
        if (event.key == K_ESCAPE):
            menuloop = 1
            menuselect = 1
            #Menu
            Surface.blit(jetpak_small, (200, 210))
            while menuloop == 1:
                pygame.display.update()
                for event in pygame.event.get():
                    if menuselect == 1:
                        Surface.blit(menu, (0, 0))
                        Surface.blit(jetpak_small, (200, 170))
                    if menuselect == 2:
                        Surface.blit(menu, (0, 0))
                        Surface.blit(jetpak_small, (200, 245))
                    if menuselect == 3:
                        Surface.blit(menu, (0, 0))
                        Surface.blit(jetpak_small, (350, 170))
                    if menuselect == 4:
                        Surface.blit(menu, (0, 0))
                        Surface.blit(jetpak_small, (280, 320))
                    if event.type == pygame.QUIT: 
                        sys.exit()
                    if (event.type == KEYDOWN):
                        if (event.key == K_RETURN):
                            if menuselect == 2:
                                sys.exit()
                            elif menuselect == 1:
                                menuloop = 0
                            elif menuselect == 3:
                                timer = raw_input("How long do you need to wait. 0.0 for slow computers, 0.01 for fast.")
                                timer = float(timer)
                            elif menuselect == 4:
                                Surface.blit(instruct, (0, 0))
                                pygame.display.update()
                                time.sleep(3.5)
                        elif (event.key == K_DOWN):
                            if menuselect != 4:
                                menuselect += 1
                            elif menuselect == 4:
                                menuselect = 1
                        elif (event.key == K_UP):
                            if menuselect != 1:
                                menuselect -= 1
                            elif menuselect == 1:
                                menuselect = 4
